package cn.quantgroup.xyqb.service.user;

import cn.quantgroup.xyqb.controller.modifyphoneno.req.*;
import cn.quantgroup.xyqb.controller.modifyphoneno.resp.ProgressResp;
import cn.quantgroup.xyqb.entity.ModifyPhoneNo;
import org.springframework.data.domain.Page;

/**
 * Date: 2019/11/4
 * Time: 下午2:56
 *
 * @author: yangrui
 */
public interface IModifyPhoneNoService {

    /**
     *
     */
    Long saveStep1(Long id, Step1Req step1Req);

    /**
     *
     */
    void saveStep2(Step2Req step2Req);

    ProgressResp progress(Long id);

    Page<ModifyPhoneNo> list(ModifyPhoneNoQueryReq modifyPhoneNoQueryReq);

    void feedback(Long id);

    void audit(AuditReq auditReq);

    Long saveStep1Compliance(Long id, Step1ComplianceReq step1ComplianceReq);
}
